<?xml version="1.0" encoding="UTF-8"?>
<Configuration monitorinterval="30" status="info" strict="true">
    <Properties>
        <Property name="filename">src/main/java/log/logfile.log</Property>
    </Properties>
    <Appenders>
<!--        <Appender type="Console" name="Console">-->
<!--            <Layout type="PatternLayout" pattern="%d %p [%t] %m%n" />-->
<!--        </Appender>-->
<!--        <Appender type="Console" name="FLOW">-->
<!--            <Layout type="PatternLayout" pattern="%C{1}.%M %m %ex%n" />-->
<!--        </Appender>-->
        <Appender type="File" name="File" fileName="${filename}">
            <Layout type="PatternLayout" pattern="%d %p %C{1.} [%t] %m%n" />
        </Appender>
    </Appenders>
    <Loggers>
        <Root level="debug">
            <AppenderRef ref="File" />
<!--            <AppenderRef ref="Console" />-->
            <!-- Use FLOW to trace down exact method sending the msg -->
            <!-- <AppenderRef ref="FLOW" /> -->
        </Root>
    </Loggers>
</Configuration>